AntiFeatures:
  - NonFreeNet
Categories:
  - System
  - Theming
License: GPL-3.0-or-later
SourceCode: https://github.com/Alaory/WallMe-Wallpaper
IssueTracker: https://github.com/Alaory/WallMe-Wallpaper/issues
Donate: https://www.patreon.com/Alaory

AutoName: Wallme-Wallpaper

RepoType: git
Repo: https://github.com/Alaory/WallMe-Wallpaper

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: 9e88d5ae9b295f3e78213bb63ec020af12a52320
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.1'
    versionCode: 2
    commit: f1a0f84642e3e85ddcaaca6ea82787f3fde61de1
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.2'
    versionCode: 3
    commit: aea6d9d7fd1d25126cbc41978108da67392076a6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.3'
    versionCode: 4
    commit: f2bda9c0c46e0b7b8f87dc96dd2ecccf614b4ef5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.4'
    versionCode: 5
    commit: 2a63ef79021e9875bf222dc83668c64c58f063ae
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.5'
    versionCode: 6
    commit: 8e31f4bf78edd01c18fc627b86c4b538f4460e9c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: '1.6'
    versionCode: 7
    commit: 3eded31b4f1c23467313830bacb09866e656870b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: '1.6'
CurrentVersionCode: 7
